=== extra/CMakeLists.txt ===
# ####################################################################
# build chain for the include of the library.
#
# Copyright, 2018-2024, IMCCE, CNRS, Observatoire de Paris, PSL.
#
# ####################################################################

# ####################################################################
# build the version file
# ####################################################################
configure_file(openfaextra.h.in openfaextra.h @ONLY)

# ####################################################################
# installation step
# ####################################################################
if(OPENFA_INSTALL)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/openfaextra.h COMPONENT dev DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}")
endif()
