=== tests/CMakeLists.txt ===
# ####################################################################
# build chain for the tests on OpenFA.
#
# Copyright, 2018-2024 IMCCE, CNRS, Observatoire de Paris, PSL.
#
# ####################################################################
include_directories("../src")

# ####################################################################
function(buildchecktest execname sourcename)
  add_executable(${execname} ${sourcename})
  target_link_libraries(${execname} openfa ${LIBM_LIBRARIES})
  add_test(${execname} ${execname})
  if (WIN32)  
	set_property(TEST ${execname} PROPERTY ENVIRONMENT_MODIFICATION "PATH=path_list_append:${CMAKE_BINARY_DIR}/src")
  endif()  
endfunction(buildchecktest)

# ####################################################################
buildchecktest(t_openfa_c t_openfa_c.c)
buildchecktest(t_version t_version.c)
